*:focus {
    outline: none;
}

body {
    background: #524553;
    max-height: 100vh;
    overflow: hidden;
}
body.dark {
    background: black;
}

.hover {
    position: absolute;
    z-index: 9999;
}

.environment {
    cursor: pointer;
}
.environment.disabled {
    pointer-events: none;
}

img {
    cursor: pointer;
}
img:hover {
    cursor: pointer;
}

.clicks {
    position: absolute;
    top: 65%;
    left: 30%;
    transform: translate(-50%, -50%);
    background-color: white;
    font-size: 10px;
    text-transform: uppercase;
    padding: 1em;
    border-radius: 0.5em;
    border: 1px solid black;
    border-top: 10px solid red;
    display: none;
    z-index: 9;
}
.clicks .days {
    text-align: center;
    font-size: 20px;
    padding-top: 0.3em;
    color: red;
}
.clicks.active {
    display: block;
}

.slime,
.lamp {
    position: absolute;
    top: 47%;
    left: 230px;
    transform: translate(0, -50%);
    background: transparent;
    width: 100px;
    height: 100px;
    z-index: 9;
    cursor: pointer;
    opacity: 0;
}
.slime.disabled,
.lamp.disabled {
    pointer-events: none;
}

.lamp {
    top: 44%;
    left: 345px;
    width: 50px;
}

.name {
    font-weight: bold;
    top: 19%;
    left: 80px;
    font-size: 3rem;
}

.dex, .str, .cha, .int {
    top: 21%;
    font-size: 18px;
    right: 0;
    font-weight: bold;
}

.str {
    right: 252px;
}

.dex {
    right: 188px;
}

.cha {
    right: 120px;
}

.int {
    right: 55px;
}

.wrapper {
    position: relative;
}
.wrapper .content {
    position: relative;
    max-width: 700px;
    height: 100vh;
    margin: 0 auto;
}
.wrapper img {
    max-width: 700px;
    min-width: 700px;
    display: none;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    cursor: pointer;
}
.wrapper img.speech {
    top: 53%;
    transition: 0.5s top;
    display: block;
    opacity: 0;
    z-index: -1;
}
.wrapper img.speech.active {
    top: 50%;
    transition: 0.5s top;
    opacity: 1;
    z-index: 1;
}
.wrapper img.active {
    display: block;
}

@media (max-width: 992px) {
    body {
        transform: scale(0.8);
        margin: -10%;
    }
}
@media (max-width: 768px) {
    body {
        transform: scale(0.55);
    }

    .slime,
    .lamp {
        left: 24%;
    }

    .lamp {
        left: 48%;
    }
}
.potion {
    position: fixed;
    z-index: 9999;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 400px;
    background: #415241;
}
.potion img {
    display: inline-block;
    max-width: 100%;
    width: 100%;
}
.potion p {
    padding: 1em;
    z-index: 1;
    position: relative;
    color: white;
    background: #415241;
    margin-top: 0;
}
.potion p a {
    color: white;
}
.potion p span {
    display: block;
    padding-bottom: 1em;
    margin-bottom: 1em;
    border-bottom: 1px solid white;
}
.potion .close {
    position: absolute;
    top: 0;
    right: 0;
    background: white;
    padding: 1em;
    cursor: pointer;
}

.overlay {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    display: none;
    z-index: 0;
    transform: scale(3);
}
.overlay.active {
    display: block;
}